Bug 609199 - SELinux is preventing /opt/novell/groupwise/client/bin/groupwise-bin from loading /root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2 which requires text relocation.
Summary: SELinux is preventing /opt/novell/groupwise/client/bin/groupwise-bin from loa...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:17d2ac66446...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-29 16:07 UTC by yingying
Modified: 2010-06-30 12:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 07:45:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description yingying 2010-06-29 16:07:42 UTC
Summary:

SELinux is preventing /opt/novell/groupwise/client/bin/groupwise-bin from
loading /root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2 which
requires text relocation.

Detailed Description:

The groupwise-bin application attempted to load
/root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2 which requires
text relocation. This is a potential security problem. Most libraries do not
need this permission. Libraries are sometimes coded incorrectly and request this
permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2 to use relocation
as a workaround, until the library is fixed. Please file a bug report.

Allowing Access:

If you trust /root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2 to
run correctly, you can change the file context to textrel_shlib_t. "chcon -t
textrel_shlib_t '/root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2'"
You must also change the default file context files on the system in order to
preserve them even on a full relabel. "semanage fcontext -a -t textrel_shlib_t
'/root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2'"

Fix Command:

chcon -t textrel_shlib_t
'/root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:object_r:admin_home_t:s0
Target Objects                /root/.novell/groupwise/.webrenderer/linux/libwebr
                              enderer.so2 [ file ]
Source                        groupwise-bin
Source Path                   /opt/novell/groupwise/client/bin/groupwise-bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           novell-groupwise-gwclient-7.0.3-20080309
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-28.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11
                              09:42:24 UTC 2010 i686 i686
Alert Count                   4
First Seen                    Tue 29 Jun 2010 11:16:05 AM EDT
Last Seen                     Tue 29 Jun 2010 12:03:52 PM EDT
Local ID                      d32d03df-000e-4739-bf74-f89605c42fca
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1277827432.481:32021): avc:  denied  { execmod } for  pid=2557 comm="groupwise-bin" path="/root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2" dev=dm-0 ino=2764915 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1277827432.481:32021): arch=40000003 syscall=125 success=no exit=-13 a0=7a21000 a1=3d000 a2=5 a3=46bbd70 items=0 ppid=2517 pid=2557 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=2 comm="groupwise-bin" exe="/opt/novell/groupwise/client/bin/groupwise-bin" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  allow_execmod,groupwise-bin,unconfined_t,admin_home_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
#!!!! This avc can be allowed using the boolean 'allow_execmod'

allow unconfined_t admin_home_t:file execmod;

Comment 1 Miroslav Grepl 2010-06-30 07:45:38 UTC
The problem is libwebrenderer.so2 is built incorrectly. 

You either can execute 

# setsebool -P allow_execmod 1

or 

# semanage fcontext -a -t textrel_shlib_t /root/.novell/groupwise/.webrenderer/linux/libwebrenderer.so2
# restorecon -v /root/.novell/groupwise/.webrenderer/linux

to make this permanent

Comment 2 yingying 2010-06-30 12:18:34 UTC
Thanks a lot. Miroslav!

It works!


Note You need to log in before you can comment on or make changes to this bug.